Subject: bug#49297: closed (Re: bug#49297: zsh-autosuggestions build fail)

From: [email-masked] (GNU bug Tracking System)
Date: Sun, 04 Jul 2021 11:00:02 +0000

Your bug report

#49297: zsh-autosuggestions build fail

which was filed against the guix package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
49297: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=49297
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#49297: zsh-autosuggestions build fail
From: Brice Waegeneire <[email-masked]>
To: Zacchaeus Scheffer <[email-masked]>
Cc: [email-masked]
Date: Sun, 04 Jul 2021 12:59:12 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

Hello Zacchaeus,

Zacchaeus Scheffer <[email-masked]> writes:

> I tried installing zsh-autosuggestions, but the build fails in three places on the same file when running rspec, all with the same discrepancy:

Thank you for the bug report!  The issue appear after updating tmux to
3.2a, fom its changelog it's not clear to me which commit produced this
new behaviour.  I tired patching the tests to not resize the tmux
window, to no avail, so I just disabled thoses 3 tests in
348c70f3fdb55eb1373dfd57d9128d6f6bede02d.

Cheers,
- Brice

Subject: zsh-autosuggestions build fail
From: Zacchaeus Scheffer <[email-masked]>
To: [email-masked]
Date: Wed, 30 Jun 2021 08:58:31 -0400
List-Id: <debbugs-submit.debbugs.gnu.org>

Hi GUIX,

I tried installing zsh-autosuggestions, but the build fails in three places
on the same file when running rspec, all with the same discrepancy:
>        expected: "echo
aaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaa"
>            got: "echo
aaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaa\naaaaaaaaaaaaaaaaaaaaaaaaa"

I'm including the full log as well.

Thanks,
Zacchaeus Scheffer